/** @type {import('./$types').Actions} */
import {readFileSync} from 'fs';
import {initDb} from '$lib/db/db.js';
const db = await initDb();



/** @type {import('./$types').RequestHandler} */
export async function GET(event) {
    let hub = event.url.searchParams.get('q') + '.png';
    return new Response(readFileSync(`${process.cwd()}/../space-data/hub/${hub}`));
}
 
