/** @type {import('./$types').Actions} */
import {initDb} from '$lib/db/db.js';
import {auth} from '$lib/db/auth.js';
const db = await initDb();


/** @type {import('./$types').RequestHandler} */
export async function POST(event) {
    var user = await auth(event,db);
    var hubs = await db.all("SELECT hub FROM hubpairs WHERE user = ?",user);

    return new Response(JSON.stringify(hubs));
}
