import { open } from 'sqlite'
import sqlite3 from 'sqlite3'

var initDb = async _ => {
    var db = await open({
        filename: '../space-data/main.sql',
        driver: sqlite3.Database
    });

    db.run("CREATE TABLE IF NOT EXISTS auth (user TEXT, email TEXT, password TEXT)");
    db.run("CREATE TABLE IF NOT EXISTS token (user TEXT, token TEXT)");
    db.run("CREATE TABLE IF NOT EXISTS hubpairs (hub TEXT, user TEXT)"); 
    db.run("CREATE TABLE IF NOT EXISTS hub (hub TEXT, invite TEXT)"); 

    return db;
};
 

export {initDb};


